Gestion de Contenu, de Communauté et de groupes de travail collaboratif - Open Source, français, sécurisé, stable et performant

  • MODULES

    Pour étendre les nombreuses fonctionnalités disponibles de base - modules.npds.org est à votre disposition.

    Des modules complémentaires, une communauté de développeurs active, des forums pour vos questions ... NPDS  est aussi une plateforme de développement !
  • STYLES

    Vous cherchez des thèmes graphiques pour votre portail ou votre communauté : styles.npds.org est à votre disposition.

    Des thèmes du plus simple au plus sophistiqué. Des thèmes facilement modifiables et toujours en Open-Source - Laissez simplement parler votre imagination !
  • BIBLES

    La documentation indispensable pour personnaliser et exploiter toute la puissante de NPDS  est à votre disposition sur bible.npds.org.

    Vous pouvez participer à l'effort de documentation - rien de plus simple : contactez un membre de la Team de développement et nous vous ouvrirons un compte sur le Wiki !
Devenir membre    |    Identifiant : Mot de Passe : -
Au delà de la gestion de contenu 'classique', NPDS met en oeuvre un ensemble de fonctions spécifiquement dédiées à la gestion de Communauté et de groupes de travail collaboratif.
Il s'agit d'un Content & Community Management System (CCMS) robuste, sécurisé, complet, performant et parlant vraiment français.

Gérez votre Communauté d'utilisateurs, vos groupes de travail collaboratif, publiez, gérez et organisez votre contenu grâce aux puissants outils disponibles de base.
  • Multi langues (Français, Anglais, Allemand, Espagnol, Chinois)
  • Respect des standards : UTF8, XHTML, CSS, ...
  • Système de blocs avancés
  • Installation et administration complète et centralisée
  • Editeur HTML intégré
  • Gestionnaire de fichier en ligne
  • Gestion des groupes de membres
  • Ecriture collaborative de documents (PAD)
  • Forums évolués
  • Mini-sites (pour les membres et les groupes de travail)
  • Chat temp réel
  • Système de News et de rubriques complet (édition, révision, publication)
  • ...
Gratuit et libre (Open-Source), développé en PHP, NPDS est personnalisable grâce à de nombreux thèmes et modules et ne requiert que quelques compétences de base.
NPDS Workplace - groupe de travail collaboratif
 NPDS WorkSpace - tous l'univers du travail collaboratif.
Modéré par : developpeur jpb Jireck 
Index du Forum » » Bugs, Probs ... » » problème dû au thème Xblue?  
Auteurproblème dû au thème Xblue?
christos65
42    

christos65
  Posté : 30-11-2009 05:42

NPDS Forum Extender
-: Problèmes :-
 
Sujetproblème dû au thème Xblue? 
Votre Système d'Exploitation-: Windows XP  
Votre Package Web-: Easyphp 1.8 et + 
Votre version de PHP-: Php 5.x.x  
Version NPDS (voir statistiques du site)-: EVOLUTION 
Type de problème-: Erreur(s) Php  
Votre hébergeur-: Autre(s)  
Votre PrioritéOK, j'attends  
Description du problèmeD'abord, merci à toute l'équipe !! Jamais eu de problème sans solution grâce au forum, mais là je sèche...
J’étais en sable 510 en local, avec xblue comme thème. J’ai installé sable-2 évolution, puis evolution-patch-08.06
J'ai installé le dernier easyphp en local,5.3.0

Et j'ai pour le moment 2 erreurs apache indiquées comme suit:
Apache/2.2.13 (Win32) PHP/5.3.0 configured -- resuming normal operations
[error] [client 127.0.0.1] PHP Warning: settype() expects parameter 2 to be string, array given in C:\Program Files\EasyPHP5.3.0\www\anorexie-bretagne.info\header.php on line 88, referer: http://127.0.0.1/ />[error] [client 127.0.0.1] PHP Fatal error: Cannot use string offset as an array in C:\Program Files\EasyPHP5.3.0\www\anorexie-bretagne.info\modules\meta-lang\adv-meta_lang.p hp on line 204, referer: http://127.0.0.1/ />Qui bloquent presque toutes les pages.

Quelqu'un pourrait-il dire à un...bricoleur...dans quelle direction chercher?
Ne serait-ce pas à cause du thème Xblue ?
 
Inclure la signaturetrue 
notification par Emailtrue 
..::..


Une pillule de NPDS le matin, et en forme pour la journée!

  Profil  www  Citation   
Jireck
7992       

Jireck
  Posté : 30-11-2009 07:38

as Tu revalider tes preferences a chaque passage de patch ???

  Profil  www  Citation   
Anonyme
19765  

Anonyme
  Posté : 30-11-2009 07:57

Aïe, pas à chaque, je le crains.A la fin oui...
Qu'est-ce que je peux faire ?

Merci Jireck, et bonne journée!

  Citation   
Jireck
7992       

Jireck
  Posté : 30-11-2009 08:55

c'est un site de production ????
ou
pour tester ?

  Profil  www  Citation   
Anonyme
19765  

Anonyme
  Posté : 30-11-2009 21:44

En production j'ai le site en SABLE 5.10 avec theme Xblue.

Comme je dois changer d'hébergeur, Je tente de mettre à jour le même contenu qui était en local.
J'essaie de bien préparer la nouvelle version en local pour la monter chez le nouvel hébergeur. ...J'espère que je suis clair...

J'ai comparé les header.php de SABLE5.10 et celui de la version upgradée jusqu'au patch evolution 8.06, notamment vers la ligne 88 indiquée à problème.

Dans l’ancien fichier header SABLE 5.10 vers la ligne 88 :

// Made the title and pdst value from the pages.php config file
settype($PAGES, array());
global $pdst, $Titlesitename, $PHP_SELF;
require_once("themes/pages.php");
$pages_ref=basename($PHP_SELF);

Dans le header.php en local après upgrades sables2-evolution et evolution patch 8.06 :

// Made the title and pdst value from the pages.php config file
settype($PAGES, array());
global $pdst, $Titlesitename, $REQUEST_URI;
require_once("themes/pages.php");
$page_uri=split("[&?]",$REQUEST_URI);
$Npage_uri=count($page_uri);
$pages_ref=basename($page_uri[0]);

J’ai noté les autres changements pour le cas où cela pourrait être utile.

Merci pour tes conseils Jireck !
En attendant, je continue à essayer de mettre la main dans le cambouis...

  Citation   
christos65
42    

christos65
  Posté : 30-11-2009 21:47

Désolé,j'étais déloggé...

  Profil  www  Citation   
christos65
42    

christos65
  Posté : 30-11-2009 21:50

Dans le forum j’avais trouvé un post du 27/3/2009 concernant une erreur identique semble-t-il, mais la faute semblait due à l’hébergeur, or ici c’est en local

http://www.npds.org/viewtopic.php?topic=24275&forum=1&ancre=1&start=0#124275194107


  Profil  www  Citation   
Jireck
7992       

Jireck
  Posté : 01-12-2009 09:00

il ne faut pas mettre les main dans le camboui ....

Reéssaye en local de passer les patch un a uun c-a-d je passe le patch je revalide mes pref puis je regarde si cela marche si OK je passe au patch d'apres....

  Profil  www  Citation   
christos65
42    

christos65
  Posté : 03-12-2009 22:02

J'ai réinstallé en local lesite en sable 5.10 sur la dernière version disponible de easyphp,...et j'ai l'erreur:

error] [client 127.0.0.1] PHP Warning: settype() expects parameter 2 to be string, array given in C:\Program Files\EasyPHP5.3.0\www\anorexie-bretagne.info\header.php on line 88, referer: http://127.0.0.1/

...Mais apparemment je suis le seul à rencontrer un problème?
Alors je vais continuer à chercher.
...Et je l'aurai un jour, je l'aurai !
Sije trouve je viendrai le dire. Sûrement une...Bêtise !
Bonne soirée àtous!

  Profil  www  Citation   
christos65
42    

christos65
  Posté : 06-12-2009 11:52

Première erreur apparue lors de l'installation d'easyphp 5.3.0 et de npds SABLE 510 en local:

settype() expects parameter 2 to be string, array given in C:\\Program Files\\EasyPHP5.3.0\\www\\anorexie-bretagne.info\\header.php on line 88

Problème résolu
en remplacant ($PAGES, array ()) par ($PAGES, "array")
à la ligne 88:
// Made the title and pdst value from the pages.php config file
settype($PAGES, "array");

Est-ce qu'il peut y avoir des répercussions ailleurs ?? je ne sais pas. Mais au cas où cela puisse servir à d'autres...

______________________________________________
2ème problème: Après avoir dézippé sable-2-evolution.tar.gz dans www sur le sable 510 existant:

[client 127.0.0.1] PHP Fatal error: Cannot use string offset as an array in C:\\Program Files\\EasyPHP5.3.0\\www\\anorexie-bretagne.info\\modules\\meta-lang\\adv-meta_ lang.php on line 204

Boul a eu exactement le même problème en août 2008:
http://www.npds.org/viewtopic.php?topic=23789&forum=1

Mais je ne comprends pas. Il parle de script et programme de mise à jour et je vois pas ce que c'est
Il parle de suppression d'appel au header et je ne vois vraiment pas où c'est.
Programme de mise à jour pour upgrader en evolution ? Ou dézipper le programme sur sable 510 ?

Qui veut bien m'aider ??
Je l'en remercie vivement

  Profil  www  Citation   
christos65
42    

christos65
  Posté : 06-12-2009 19:56


J'ai rajouté $meta_glossaire= array();
à la ligne 204 du fichier adv-meta_lang.php
et cela a tout débloqué....

$type_meta="";
$meta_glossaire= array();
if ($meta_glossaire[$Rword]['content']) {………………

J'espère que je n'aurai pas à le regretter ??

  Profil  www  Citation   
Jireck
7992       

Jireck
  Posté : 07-12-2009 08:02

possiblement c'est ton easyphp qui pose probleme

  Profil  www  Citation   
  
Sauter à :

Temps : 0.0142 seconde(s)